Create a customer support demo agent
POST /api/v1/playground/create_customer_support_agent
POST
/api/v1/playground/create_customer_support_agent
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”Responses
Section titled “ Responses ”Success
object
agent
Agent_Details
object
available_actions
Agent_AvailableActions
Available actions for this agent based on its status and instance counts
object
delete
Whether the agent can be deleted
boolean
reinstate
Whether the agent can be reinstated from retired
boolean
retire
Whether the agent can be retired
boolean
update
Whether the agent can be updated
boolean
id
Agent_Id
A valid agent ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny inserted_at
When the agent was created
string format: date-time
Example
2024-01-01T00:00:00Z instance_counts
Agent_InstanceCounts
object
active
Number of instances with status active (running)
integer
Example
2 cancelled
Number of instances with status cancelled
integer
0 complete
Number of instances with status complete
integer
Example
5 failed
Number of instances with status failed
integer
0 finished
Number of instances in a finished state (complete + failed + cancelled + terminated)
integer
Example
5 pending
Number of instances with status pending
integer
0 terminated
Number of instances with status terminated
integer
0 total
Total number of agent instances
integer
Example
10 name
Agent name
string
Example
My Agent risk_profile_id
One of:
RiskProfile_Id
A valid risk profile ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny Null
Null
string
status
Agent status
string
Example
pending type
Type of resource (always ‘agent’)
string
Example
agent updated_at
When the agent was last updated
string format: date-time
Example
2024-01-01T00:00:00Z status
string
Example
successdefault
Section titled “default ”Error
One of:
object
code
string
Example
bad_request message
string
status
string
Example
errorobject
code
string
Example
validation_errors errors
message
string
status
string
Example
error